aboutsummaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorGuido Günther <agx@sigxcpu.org>2014-02-21 15:57:11 +0100
committerGuido Günther <agx@sigxcpu.org>2014-02-24 08:39:05 +0100
commit891b34e2ef64f354474c4c6bec8e35f905e3c1db (patch)
tree9ff4373f980caa5eab84c4f3abaff6640783d817 /autogen.sh
Initial commit
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..74d59fe
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+REQUIRED_AUTOMAKE_VERSION=1.9
+REQUIRED_INTLTOOL_VERSION=0.35.0
+PKG_NAME=planfahr
+
+(test -f $srcdir/configure.ac \
+ && test -f $srcdir/src/libplanfahr.c) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME git"
+ exit 1
+}
+USE_GNOME2_MACROS=1 . gnome-autogen.sh